{
    attributes = (
        {
            columnName = C_STRUCTURE; 
            externalType = VARCHAR2; 
            name = cStructure; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = DISPLAY_PHOTO; 
            externalType = VARCHAR2; 
            name = displayPhoto; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = FETCH_LEAF; 
            externalType = NUMBER; 
            name = fetchLeaf; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            columnName = NO_INDIVIDU; 
            externalType = NUMBER; 
            name = noIndividu; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = PRIVATE_COLOR; 
            externalType = VARCHAR2; 
            name = privateColor; 
            valueClassName = NSString; 
            width = 40; 
        }
    ); 
    attributesUsedForLocking = (noIndividu, cStructure, displayPhoto, fetchLeaf, privateColor); 
    className = EOPrefAdresses; 
    classProperties = (noIndividu, cStructure, displayPhoto, fetchLeaf, privateColor, toStructure); 
    externalName = PREF_ADRESSES; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        _clientClassPropertyNames = (noIndividu, cStructure, displayPhoto, fetchLeaf, privateColor, toStructure); 
    }; 
    name = PrefAdresses; 
    primaryKeyAttributes = (noIndividu); 
    relationships = (
        {
            destination = StructureUlr; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cStructure; sourceAttribute = cStructure; }); 
            name = toStructure; 
        }
    ); 
}
